libnews-article-perl_1.27-10_all.deb


Advertisement

Description

libnews-article-perl - Perl modules for manipulating Usenet articles

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libnews-article-perl_1.27-10_all.deb
Package name libnews-article-perl
Package version 1.27
Package release 10
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl network::client perl protocol::nntp role::devel-lib role::program
Homepage https://metacpan.org/release/News-Article
License -
Maintainer Russ Allbery <rra@debian.org>
Download size 31.05 KB
Installed size 87.00 KB
Provides News::Article, News::FormArticle, News::AutoReply, and
News::FormReply, which are Perl modules for manipulating Usenet articles
and mail messages.  Supported capabilities include modifying headers,
signing articles with either the PGPMoose or pgpverify algorithms,
posting and mailing articles, and instantiating them from templates.  It
was primarily written for use by gateways and moderation programs.

Alternatives

Package Version Architecture Repository
libnews-article-perl_1.27-10_all.deb 1.27 all Debian Main
libnews-article-perl - - -

Requires

Name Value
libpgp-sign-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnews-article-perl_1.27-10_all.deb
Source Package libnews-article-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnews-article-perl deb package:
    # sudo apt-get install libnews-article-perl

Files

Path
/usr/share/doc/libnews-article-perl/changelog.Debian.gz
/usr/share/doc/libnews-article-perl/copyright
/usr/share/man/man3/News::Article.3pm.gz
/usr/share/man/man3/News::AutoReply.3pm.gz
/usr/share/man/man3/News::FormArticle.3pm.gz
/usr/share/man/man3/News::FormReply.3pm.gz
/usr/share/perl5/News/Article.pm
/usr/share/perl5/News/AutoReply.pm
/usr/share/perl5/News/FormArticle.pm
/usr/share/perl5/News/FormReply.pm

Changelog

2018-01-01 - Russ Allbery <rra@debian.org>
libnews-article-perl (1.27-10) unstable; urgency=medium
* Enable autopkgtest-pkg-perl tests.
* Set Rules-Requires-Root: no.
* Update to debhelper compatibility level V11.
* Update standards version to 4.1.3.
- Use https for the debian/copyright Format URL.
2016-12-28 - Russ Allbery <rra@debian.org>
libnews-article-perl (1.27-9) unstable; urgency=medium
* Fix spelling errors in the documentation, caught by Lintian.
* Improve the package long description and mention the specific Perl
modules included in this package.
* Switch to the DEP-14 branch layout and update debian/gbp.conf and
Vcs-Git accordingly.
* Switch to individual diffs in the 3.0 (quilt) source package format
instead of a unified Debian diff.
* Run wrap-and-sort -ast.
* Switch to metacpan.org from search.cpan.org following the Perl
packaging team conventions.
* Use https instead of http for package URLs.
* Remove now-unnecessary source/options (forcing xz compression).
* Update to debhelper compatibility level V10.
* Update to standards version 3.9.8 (no changes required).
2013-09-14 - Russ Allbery <rra@debian.org>
libnews-article-perl (1.27-8) unstable; urgency=low
* Avoid calling defined on an array in News::FormArticle.  This now
produces a warning with Perl 5.18.
* Move single-debian-patch and patch-header to local-options.  Continue
to generate a single Debian patch for maintainer changes, but do this
via local options not included in the source package so that NMUs and
other changes get versioned patches.
* Suggest default-mta instead of a specific exim4 package default-mta is
now the preferred virtual package to use as the first dependency to
indicate whatever the current default MTA in Debian is.
* Merge Build-Depends and Build-Depends-Indep.  This distinction is not
meaningful when only architecture-independent binary packages are
built.
* Use xz compression for the debian.tar file.
* Update debhelper compatibility level to V9.
* Update to standards version 3.9.4.
- Rewrite debian/changelog in copyright-format 1.0.
2010-04-02 - Russ Allbery <rra@debian.org>
libnews-article-perl (1.27-7) unstable; urgency=low
* Add missing =back commands in POD documentation.
* Drop dependency on libnet-perl.  This has been part of Perl core for
forever and doesn't exist even in oldstable.
* Drop version from versioned build-dependency on perl since the
version was older than oldstable.
* Update debhelper compatibility level to V7.
- Use debhelper rule minimization.
* Add Vcs-Git and Vcs-Browser control fields.
* Switch to 3.0 (quilt) source format.
* Update standards version to 3.8.4.
2007-12-29 - Russ Allbery <rra@debian.org>
libnews-article-perl (1.27-6) unstable; urgency=low
* Tell Makefile.PL not to create /usr/lib/perl5 and remove the rmdir,
which fails with Perl 5.10.
* Suggest an MTA for article mailing support.
* Use the recommended watch format and search.cpan.org in copyright.
* Change Homepage to search.cpan.org and move it to a real header.
* Update standards version to 3.7.3 (no changes required).
2007-04-28 - Russ Allbery <rra@debian.org>
libnews-article-perl (1.27-5) unstable; urgency=low
* Move debhelper to Build-Depends since it's required for the clean
target.
* Update copyright and watch file to point to CPAN since the original
upstream source page appears to be gone.
* Use a better method of optionally running make distclean.
* Add build-arch and build-indep targets, just in case.
* Update standards version to 3.7.2 (no changes required).
* Update debhelper compatibility level to V5.
2005-12-03 - Russ Allbery <rra@debian.org>
libnews-article-perl (1.27-4) unstable; urgency=low
* Providing binary-arch in debian/rules is required by Policy even if
there are no arch-dependent packages.  Whoops.

See Also

Package Description
libnews-newsrc-perl_1.11-1_all.deb Perl module to manage .newsrc files
libnews-nntpclient-perl_0.37-9_all.deb Perl module to access NNTP servers
libnews-scan-perl_0.53-4_all.deb Perl module to report Usenet newsgroup stats
libnewt-dev_0.52.20-8_i386.deb Developer's toolkit for newt windowing library
libnewt-pic_0.52.20-8_i386.deb Not Erik's Windowing Toolkit, shared library subset kit
libnewt0.52_0.52.20-8_i386.deb Not Erik's Windowing Toolkit - text mode windowing with slang
libnewtonsoft-json-cil-dev_6.0.8+dfsg-1_all.deb high-performance JSON framework for .NET -- development files
libnewtonsoft-json5.0-cil_6.0.8+dfsg-1_all.deb high-performance JSON framework for .NET
libnexstar-dev_0.15-1_i386.deb Celestron/SkyWatcher telescope control library development files
libnexstar0_0.15-1_i386.deb Celestron/SkyWatcher telescope control shared library
libnextcloudsync-dev_2.5.1-3+deb10u1_i386.deb Nextcloud folder synchronization - development files
libnextcloudsync0_2.5.1-3+deb10u1_i386.deb Nextcloud folder synchronization - libraries
libnf2ff0_0.0.35+dfsg.1-3_i386.deb Near-field to far-field transform library
libnfc-bin_1.7.1-4+b1_i386.deb Near Field Communication (NFC) binaries
libnfc-dev_1.7.1-4+b1_i386.deb Near Field Communication (NFC) library (development files)
Advertisement
Advertisement